org.apache.struts2.sitegraph.model

## Class Link

- java.lang.Object
- - org.apache.struts2.sitegraph.model.Link

- All Implemented Interfaces:
    Comparable, Render

      public class Link
      extends Object
      implements Render, Comparable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_ACTION`
    `static int` | `TYPE_FORM`
    `static int` | `TYPE_HREF`
    `static int` | `TYPE_REDIRECT`
    `static int` | `TYPE_RESULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Link(SiteGraphNode from, SiteGraphNode to, int type, String label)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Object o)`
    `void` | `render(IndentWriter writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_FORM

          public static final int TYPE_FORM

      See Also:
        Constant Field Values

    - #### TYPE_ACTION

          public static final int TYPE_ACTION

      See Also:
        Constant Field Values

    - #### TYPE_HREF

          public static final int TYPE_HREF

      See Also:
        Constant Field Values

    - #### TYPE_RESULT

          public static final int TYPE_RESULT

      See Also:
        Constant Field Values

    - #### TYPE_REDIRECT

          public static final int TYPE_REDIRECT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Link

          public Link(SiteGraphNode from,
                      SiteGraphNode to,
                      int type,
                      String label)

  - ### Method Detail

    - #### render

          public void render(IndentWriter writer)
                      throws IOException

      Specified by:
        `render` in interface `Render`
      Throws:
        `IOException`

    - #### compareTo

          public int compareTo(Object o)

      Specified by:
        `compareTo` in interface `Comparable`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.